Bug 695087 - Brightness levels are reset on a reboot
Brightness levels are reset on a reboot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
15
i686 Linux
unspecified Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-10 09:27 EDT by Indro
Modified: 2012-08-07 11:12 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 11:12:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Indro 2011-04-10 09:27:02 EDT
Description of problem:
The Display Brightness is not remembered across a reboot.

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
In Gnome-Failsafe Mode::

1. Set Brightness level using System Settings->Screen->Brightness.
2. Reboot
3. The Brightness level is turned to Maximum instead of the one set on previous reboot.
  
Actual results:
The Brightness level is turned to Maximum instead of the one set on previous reboot.

Expected results:
The Brightness level set during previous reboot should be remembered.

Additional info:
Running Gnome in Failsafe Mode.
Comment 1 collura 2011-05-27 15:46:13 EDT
maybe this is a general gnome-settings-daemon issue?

have forgetful brightness but i also get forgetful wifi autoconnect and gdesklet resize property forget and wacom tablet gnome-settings-daemon plugin-errors as well.

gnome-settings-daemon-3.0.1-4.f15 (x86_64)
Comment 2 thunderingexile 2011-06-08 15:40:20 EDT
Hi,

I have exactly the same problem, brightness reset to 100% everytime I log into my session. Fedora 15 x86_64
Comment 3 JP 2011-06-13 08:49:39 EDT
gnome-power-manager reads the brightness settings from:

backlight-enable = /apps/gnome-power-manager/backlight/enable
brightness-dim-battery =
/apps/gnome-power-manager/backlight/brightness_dim_battery
brightness-ac = /apps/gnome-power-manager/backlight/brightness_ac

brightness values can be checked via:
gsettings get org.gnome.power-manager brightness-ac

and changed via:
gsettings set org.gnome.power-manager brightness-ac [0.0000 - 1.0000]

This change persists. I no longer have this issue on Gnome3/GDM
Comment 4 collura 2011-10-24 04:04:36 EDT
settings screen problem still there with fc16-gnome-beta it seems.

thought it got fixed in fc15-gnome at some point 
but maybe i just gave in and ran the dconf editor to change the brightness-ac variable at some point...

however as of fc16-gnome-beta dconf-editor settings seem to be ignored and that variable seems to have no effect 

so maybe i lost track of how we setting variables again but it looks like am back to using the slider at each boot to set brightness lol.
Comment 5 collura 2011-11-27 00:47:00 EST
status if coffee serves me right is

  f15-gnome-updates_repo:  brightness works but forgetful 
                           (thought it remembered at somepoint?)
     kernel-2.6.41.1-1.fc15.x86_64
     xorg-x11-drv-ati-6.14.1-2.20110525gitfe5c42f51.fc15.x86_64
     control-center-1:3.0.1.1-6.fc15.x86_64
     gnome-settings-daemon-3.0.3-1.fc15.x86_64
     dconf-0.7.5-1.fc15.x86_64
     gconf2-2.32.3-1.fc15.x86_64
     
  f16-gnome-update_repo: brightness stuck at max, 
                         not effected by 'settings-screen-brightness' slider
                         (had worked at one point https://bugzilla.redhat.com/show_bug.cgi?id=753967#c2) 
     kernel-3.1.2-1.fc16.x86_64 
     xorg-x11-drv-ati-6.14.2-2.20110727git8c9266ed2.fc16.x86_64
     control-center-1:3.2.2-1.fc16.x86_64
     gnome-settings-daemon-3.2.2-1.fc16.x86_64
     dconf-0.10.0-1.fc16.x86_64
     gconf2-3.0.0-2.fc16.x86_64

  f16-gnome-updates_testing_repo: brightness works again (yay) 
                                  but still forgetful
     kernel-3.1.2-1.fc16.x86_64
     xorg-x11-drv-ati-6.14.3-3.20111125git534fb6e41.fc16.x86_64
     control-center-3.2.2-1.fc16.x86_64
     gnome-settings-daemon-3.2.2-1.fc16.x86_64
     dconf-0.10.0-1.fc16.x86_64
     gconf2-3.2.3-1.fc16.x86_64

lol so close. :')
Comment 6 Daniel Rindt 2012-07-12 03:14:59 EDT
I have exactly the same problem on f17. On my system the settings for bluetooth, brightness and behavior when battery powered are lost after a reboot. The mentioned key brightness-ac to set manually is not existing. Only the sound level is the same i set after a reboot.
Comment 7 Rob Crowther 2012-07-20 21:28:50 EDT
In F17 there doesn't seem to be any such key as gnome-power-manager.  There is a key power-manager but it has none of the properties mentioned in comment 6.
Comment 8 Fedora End Of Life 2012-08-07 11:12:20 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.